%define _bindir /bin

Summary:	The GNU versions of the grep pattern matching utilities
Name:		grep
Version:	3.11
Release:	%mkrel 4
License:	GPLv3
Group:		Text tools
URL:		https://www.gnu.org/software/grep/grep.html
Source0:	https://ftp.gnu.org/pub/gnu/grep/%{name}-%{version}.tar.xz
Source1:	https://ftp.gnu.org/pub/gnu/grep/%{name}-%{version}.tar.xz.sig
Patch0:		v3-0001-tests-protect-y2038-vs-32-bit-against-diff-cmp-fa.patch
BuildRequires:	gettext-devel
BuildRequires:  pkgconfig(libpcre2-posix)
BuildRequires:	texinfo
BuildRequires:	bison
# For tests
BuildRequires:	cvs
BuildRequires:	locales-en
BuildRequires:	locales-cs
BuildRequires:	locales-ja
BuildRequires:	locales-tr
BuildRequires:	locales-ru

%description
The GNU versions of the commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

%package doc
Summary:	Grep documentation in info format
Group:		Documentation

%description doc
The GNU versions of the commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

Install this package if you want info documentation on grep.

%prep

%setup -q
%autopatch -p1

# Failing test on x86_64 in the buildsystem so disabling.
perl -ln -i -e 'print unless /^\s*long-pattern-perf\s*\\\s*$/' ./tests/Makefile.{in,am}

%build
autoreconf -fi
chmod +x tests/kwset-abuse
%configure \
    --without-included-regex \
    --enable-perl-regexp \
    --exec-prefix=/

%make_build

%check
make check

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/*
%{_mandir}/*/*

%files doc
%doc AUTHORS THANKS TODO NEWS README ChangeLog
%{_infodir}/*.info*




%changelog
* Sun May 14 2023 kekepower <kekepower> 3.11-4.mga9
+ Revision: 1956872
- Add upstream patch to fix failing y2038-vs-32-bit test on ix86
- Try failing test y2038-vs-32-bit with grep 3.11

* Sat May 13 2023 kekepower <kekepower> 3.11-2.mga9
+ Revision: 1956817
- Bump rel for rebuild
- Update to version 3.11

* Thu Mar 23 2023 kekepower <kekepower> 3.10-1.mga9
+ Revision: 1950090
- Update to version 3.10

* Fri Mar 10 2023 kekepower <kekepower> 3.9-1.mga9
+ Revision: 1948513
- Update to version 3.9

* Sat Sep 03 2022 kekepower <kekepower> 3.8-1.mga9
+ Revision: 1883619
- Add pcre2 BuildRequires
- Update to version 3.8

* Sat Apr 02 2022 umeabot <umeabot> 3.7-2.mga9
+ Revision: 1840575
- Mageia 9 Mass Rebuild

* Mon Jan 24 2022 luigiwalser <luigiwalser> 3.7-1.mga9
+ Revision: 1769640
- 3.7
- remove no longer needed patch

* Fri Dec 11 2020 wally <wally> 3.6-2.mga8
+ Revision: 1655435
- fix build with autoconf 2.70

* Wed Nov 11 2020 shlomif <shlomif> 3.6-1.mga8
+ Revision: 1644749
- New version 3.6

* Mon Sep 28 2020 kekepower <kekepower> 3.5-1.mga8
+ Revision: 1630994
- Update to version 3.5

* Wed Feb 19 2020 umeabot <umeabot> 3.4-2.mga8
+ Revision: 1542508
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 shlomif <shlomif> 3.4-1.mga8
+ Revision: 1476429
- New version 3.4

* Sat Dec 22 2018 kekepower <kekepower> 3.3-1.mga7
+ Revision: 1344437
- Update to version 3.3

* Mon Sep 03 2018 tv <tv> 3.1-2.mga7
+ Revision: 1256495
- Patch 2: fix build with glibc-2.28
- rely on filetriggers for info system (mga#23482)

* Wed Aug 23 2017 shlomif <shlomif> 3.1-1.mga7
+ Revision: 1144500
- New upstream version 3.1 (with some enhancements).

* Sat Feb 11 2017 shlomif <shlomif> 3.0-1.mga6
+ Revision: 1085784
- New upstream version 3.0 - thanks to Luigi Walser.

* Wed Dec 07 2016 shlomif <shlomif> 2.27-1.mga6
+ Revision: 1073048
- New version 2.27 - thx to Luigi

* Mon Oct 03 2016 shlomif <shlomif> 2.26-1.mga6
+ Revision: 1058219
- New upstream version 2.26 - thanks to LuigiWalser.

* Fri Apr 22 2016 shlomif <shlomif> 2.25-1.mga6
+ Revision: 1004877
- New version + typo fixes

* Fri Mar 11 2016 luigiwalser <luigiwalser> 2.24-1.mga6
+ Revision: 989158
- 2.24

* Fri Feb 05 2016 luigiwalser <luigiwalser> 2.23-1.mga6
+ Revision: 937837
- 2.23

* Mon Nov 09 2015 shlomif <shlomif> 2.22-2.mga6
+ Revision: 900025
- Bump rel for rebuild
- Disable a test that fails on the BS
- New version 2.22 - remove already applied patches

* Sun Oct 25 2015 blino <blino> 2.21-3.mga6
+ Revision: 895249
- add patches adapted from upstream gnulib to fix update-copyright test with perl 5.22 (and drop test skip)

* Fri Aug 21 2015 tmb <tmb> 2.21-2.mga6
+ Revision: 867456
- rebuild for new gcc

* Sun Jul 26 2015 blino <blino> 2.21-1.mga6
+ Revision: 857725
- skip test-update-copyright.sh which fails with perl 5.22
- 2.21
- rediff kwset-heap-buffer-overread patch

* Mon Jan 19 2015 luigiwalser <luigiwalser> 2.20-4.mga5
+ Revision: 811428
- add upstream patch to fix heap buffer overread (gnu bug#19563, CVE-2015-1345)

* Wed Oct 15 2014 umeabot <umeabot> 2.20-3.mga5
+ Revision: 746291
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.20-2.mga5
+ Revision: 679935
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 luigiwalser <luigiwalser> 2.20-1.mga5
+ Revision: 632716
- 2.20

* Fri May 23 2014 luigiwalser <luigiwalser> 2.19-1.mga5
+ Revision: 625119
- 2.19

* Sat Feb 22 2014 luigiwalser <luigiwalser> 2.18-1.mga5
+ Revision: 595650
- 2.18

* Tue Feb 18 2014 luigiwalser <luigiwalser> 2.17-1.mga5
+ Revision: 594537
- 2.17

* Fri Jan 03 2014 luigiwalser <luigiwalser> 2.16-1.mga4
+ Revision: 564043
- 2.16

* Thu Dec 05 2013 luigiwalser <luigiwalser> 2.15-1.mga4
+ Revision: 555420
- 2.15

* Fri Oct 18 2013 umeabot <umeabot> 2.14-7.mga4
+ Revision: 505224
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.14-6.mga3
+ Revision: 352598
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 2.14-5.mga3
+ Revision: 323595
- rebuild
- rebuild for new pcre
+ tmb <tmb>
- rebuild with bs to replace manually built one

* Sun Oct 14 2012 ennael <ennael> 2.14-2.mga3
+ Revision: 305432
- Documentation group

* Tue Aug 21 2012 fwang <fwang> 2.14-1.mga3
+ Revision: 282854
- new version 2.14

* Thu Jul 05 2012 fwang <fwang> 2.13-1.mga3
+ Revision: 267831
- new version 2.13

* Mon Jun 11 2012 luigiwalser <luigiwalser> 2.12-1.mga3
+ Revision: 259589
- 2.12

* Fri Apr 06 2012 blino <blino> 2.11-2.mga2
+ Revision: 228882
- fix segfault with -r --exclude-dir and no file operand (from upstream git)

* Sat Mar 03 2012 fwang <fwang> 2.11-1.mga2
+ Revision: 217113
- new version 2.11

* Fri Nov 18 2011 boklm <boklm> 2.10-1.mga2
+ Revision: 168962
- version 2.10
- drop all patches

* Wed Jun 29 2011 tv <tv> 2.9-1.mga2
+ Revision: 116158
- new release

* Fri Jun 17 2011 tv <tv> 2.8-1.mga2
+ Revision: 109265
- new release
- fix signature URL

* Tue Jan 04 2011 tmb <tmb> 2.7-2.mga1
+ Revision: 153
- imported package grep

